<?php
//!-- loader1 --
class Loader {
    
    public function view($view, $data = []) {
        foreach ($data as $key=>$value){
            $$key = $value;
        }
        include "views/$view.html.php";
    }

    public function load($view=null, $data=[]) {

        $this->define_helper();
        $this->view ('header');
        $this->view ('top_bar');
        if ($view!==null){
            $this->view($view,$data);
        }
        $this->view ('footer');
    }

    /* Les méthodes du slides suivant. */
//!-- end loader1 --

//!-- loader2 --
    /* Les méthodes du slide précédent. */
    public function site_url($url) {
        return "/index.php/$url";
    }
    
    public function define_helper() {

        function set_value($name) {
            return filter_input(INPUT_POST, $name,
                                FILTER_SANITIZE_SPECIAL_CHARS,
                                ['options' => ['default' => '']]);
        }
            }
    
}
//!-- end loader2 --
