<?php

// model/Registration_model.php

class Registration_model extends Model {

    public function courses() {
        $statement = $this->db->query("SELECT * FROM courses");
        return $statement->fetchall();
    }

    public function verif($firstname,$lastname,$course) {
        $req = "SELECT count(*) as nb "
                ."FROM students,choices "
                ."where students.id = choices.student_id "
                ."and students.firstname = '".$firstname."' "
                ." and students.lastname = '".$lastname."' "
                ." and choices.course_id = '".$course."' ";
        $rep = $this->db->query($req);
        $donnee = $rep->fetch(PDO::FETCH_ASSOC);

        if($donnee['nb']){
            return false;
        }

        if ($course === 4){
            $req = "SELECT count(*) as nb "
                ."FROM students,choices "
                ."where students.id = choices.student_id "
                ."and students.firstname = '".$firstname."' "
                ." and students.lastname = '".$lastname."' "
                ." and (choices.course_id = '1' "
                ." or choices.course_id = '2' "
                ." or choices.course_id = '3') ";
            $rep = $this->db->query($req);
            $donnee = $rep->fetch(PDO::FETCH_ASSOC);

            if($donnee['nb'] != 3){
                return false;
            }
        }
        return true;
    }

    public function register($firstname, $lastname, $courses) {
        /* Ajouter une inscription dans la base de données */
        $this->db->beginTransaction();
        $query1 = 'INSERT INTO students(firstname, lastname) VALUES (?, ?)';
        $statement = $this->db->prepare($query1);
        $success = $statement->execute([$firstname, $lastname]);
        if (!$success) {
            $this->db->rollback();
            return false;
        }
        $student_id = $this->db->lastInsertId();

        $query = 'INSERT INTO choices(student_id, course_id) VALUES (?, ?)';
        $statement = $this->db->prepare($query);
        foreach ($courses as $course_id) {
            if($this->verif($firstname, $lastname, $course_id)){
                $success = $statement->execute([$student_id, $course_id]);
                if (!$success) {
                    $this->db->rollback();
                    return false;
                }
            }
        }
        $this->db->commit();
        return true;
    }

    public function registrations($sort) {
        $query = "SELECT students.firstname,students.lastname,"
                   ."group_concat(courses.name, ', ') "
                   ."as courses "
                   ."FROM students "
                   ."LEFT JOIN choices ON students.id = choices.student_id "
                   ."LEFT JOIN courses ON choices.course_id = courses.id "
                   .$sort
                   ."GROUP BY firstname, lastname";

        $statement = $this->db->query($query);
        return $statement->fetchall();
    }

    public function unregister_student($firstname,$lastname) {
        $req = "DELETE FROM students "
                ."where students.firstname = '".$firstname."' "
                ." and students.lastname = '".$lastname."' ";
        $this->db->query($req);
        return true;
    }

}
