<br/>
<div class="container">
  <form method="post" action="<?= $this->site_url('registration/registrations_create') ?>" class="form-horizontal">
    <?php if(isset($error)): ?>
        <div class="alert"><?=$error ?></div>
    <?php endif; ?>
    <div class="control-group">
      <label class="control-label">Prénom :</label>
      <div class="controls">
        <input type="text" name="lastname" placeholder="Votre prénom" value="<?=set_value('lastname') ?>">
      </div>
    </div>
    <div class="control-group">
      <label class="control-label">Nom :</label>
      <div class="controls">
        <input type="text" name="firstname" placeholder="Votre nom" value="<?=set_value('firstname') ?>">
      </div>
    </div>
    <br/>
    <div class="control-group">
      <label class="control-label">Choix des cours :</label>
      <div class="controls">
        <?php foreach ($courses as $course): ?>
          <label class="checkbox">
              <input type="checkbox" name="courses[]" class="form-check-input" value="<?=$course['id'] ?>"><?=$course['name'] ?>
          </label>
        <?php endforeach; ?>
        <br/>
        <button name="inscrire" type="submit" class="btn-primary btn-lg">Inscription</button>
      </div>
      <br/>
      <blockquote>
          <small>NB: L'inscription au cours PHP nécessite l'inscription préalable aux cours HTML, CSS et JS.</small>
      </blockquote>
    </div>
  </form>
</div><!-- container -->

